#!/bin/bash

# General Aliases
alias ll='ls -la'
alias update='sudo apt update && sudo apt upgrade -y && flatpak update -y'
alias R='cd ~/Repos/'

# Git Config User
function gitConfigUser() {
  git config user.email $1
  git config user.name "Kendall Whitman"
}

alias gcp='gitConfigUser "kendall@kendallwhitman.dev"'
alias gcw='gitConfigUser "kendall.whitman@nbcuni.com"'

# Git Formatter
alias gft='python3 ~/.git-formatter/main.py'

# Git Aliases
alias ga='git add'
alias gaa='git add .'
alias gb='git branch'
alias gc='git clone'
alias gcb='git checkout -b'
alias gco='git checkout'
alias gcmsg='gft -m'
alias gd='git diff'
alias gf='git fetch'
alias gl='git pull'
alias gp='git push'
alias gpu='git push -u origin $(git branch --show-current)'
alias grs='git restore --staged'
alias gst='git status'
alias gwa='gft -i'
alias gwr='gft -r'

# NBC Aliases
alias nbc='tmuxp load phoenix ramen amp amped-up hfs omega'
alias p='cd ~/Repos/NBC/WEB.Phoenix.git/'
alias r='cd ~/Repos/NBC/nextjs-ramen.git/'
alias h='cd ~/Repos/NBC/header-footer-service.git/'
alias o='cd ~/Repos/NBC/omega-player.git/'
alias amp='cd ~/Repos/NBC/WEB.AMP.git/'
alias amped='cd ~/Repos/NBC/amped-up.git/'

# NPM Alias
alias ns='nvm use && npm start'
alias nd='nvm use && npm run dev'

# OpenRGB
alias rgb='sudo /media/kendall/1TB/AppImages/OpenRGB/OpenRGB.AppImage'

# Bash Prompt
function bashPrompt() {
  PS1=$(python3 ~/.dotfiles/bash/.bash-prompt/main.py)
}

PROMPT_COMMAND=bashPrompt
